import { GraphqlClient } from './../common/GraphqlClient';
import { ManagementClientOptions } from './types';
export declare class ManagementTokenProvider {
    /** Internal variables, please do not quote directly **/
    /** AccessToken corresponding to this user pool **/
    private _accessToken;
    /** accessToken expiration time, as unix timestamp **/
    private _accessTokenExpriredAt;
    options: ManagementClientOptions;
    graphqlClient: GraphqlClient;
    constructor(options: ManagementClientOptions, graphqlClient: GraphqlClient);
    /**
     * Send GraphQL interface request to get accessToken
     *
     * @returns
     * @memberof ManagementTokenProvider
     */
    private getClientWhenSdkInit;
    /**
     * Update accessToken
     *
     * @memberof ManagementTokenProvider
     */
    private refreshToken;
    /**
     * Get user poo accessToken
     *
     * @returns {Promise<string>}
     * @memberof ManagementTokenProvider
     */
    getToken(): Promise<string>;
    /**
     * Refresh user pool accessToken
     *
     * @returns
     * @memberof ManagementTokenProvider
     */
    private getAccessTokenFromServer;
}
