import { ManagementClient } from '../../management/ManagementClient';
import { Request, Response, NextFunction } from 'express';
export declare const loginRequired: (approwClient: ManagementClient, options: {
    /** Get the cookie key of the approw token */
    cookieKey?: string;
    /** Get the query  key of the approw token */
    queryKey?: string;
    /** Redirect link when not logged in */
    redirectUrlOnFailure?: string;
    /** Http status code when not logged in */
    statusCodeOnFailure?: number;
    /** Http response body when not logged in */
    responseBodyOnFailure?: any;
    /** Whether to obtain user's complete information */
    fetchUserDetail?: boolean;
}) => (req: Request, res: Response, next: NextFunction) => Promise<void | Response<any, Record<string, any>>>;
export declare const checkPermission: (approwClient: ManagementClient, resource: string, action: string, options: {
    /** Get the cookie key of the approw token */
    cookieKey?: string;
    /** Get the query  key of the approw token */
    queryKey?: string;
    /** Redirect link when not logged in */
    redirectUrlOnFailure?: string;
    /** Http status code when not logged in */
    statusCodeOnFailure?: number;
    /** Http response body when not logged in */
    responseBodyOnFailure?: any;
    /** Whether to obtain user's complete information */
    fetchUserDetail?: boolean;
}) => (req: Request, res: Response, next: NextFunction) => Promise<void | Response<any, Record<string, any>>>;
